Macaulay2 » Documentation
Packages » MultiprojectiveVarieties :: coefficientRing(MultiprojectiveVariety)
next | previous | forward | backward | up | index | toc

# coefficientRing(MultiprojectiveVariety) -- the coefficient ring of the variety

- Function: coefficientRing
- Usage:
    `coefficientRing X`
- Inputs:
  - X, a multi-projective variety
- Outputs:
  - a ring, the coefficient ring of $X$

## Description

    i1 : X = PP_QQ^({2,1},{1,3});

    o1 : ProjectiveVariety, threefold in PP^2 x PP^3

    i2 : coefficientRing X

    o2 = QQ

    o2 : Ring

## See also

- ring(MultiprojectiveVariety) -- the coordinate ring of the variety
- MultiprojectiveVariety ** Ring -- change the coefficient ring of a multi-projective variety

## Ways to use this method:

- coefficientRing(MultiprojectiveVariety) -- the coefficient ring of the variety

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/MultiprojectiveVarieties.m2:2571:0.